@import "./Variables.scss";
.flex_nav_admin {
    display: flex;
    flex-wrap: nowrap;
    margin-left: 50px;
    margin-right: 50px;
  
  
  .nav_admin_button {
    margin-top: 5%;
    margin-bottom: 5%;
    width: 300px;
    min-height: 50px;
    background: $color-3;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-family: "Caudex";
    font-weight: 400;
    font-size: 14px;
    line-height: 50px;
    align-items: center;
    text-align: center;
    letter-spacing: 0.1em;
  
    color: $color-4;
  }
}

.espacement_admin{
    margin-top: 5%;
}



.table_admin{
    margin-top: 5%;
    display: grid;
    margin-right: 9%;
    text-align: center;
    color: $color-4;
    th{
        font-size: 24px;
    }
    td{
        font-size: 20px;
    }
    input[type=checkbox]
    {
        display: none;
    }
    .actions_admin{
        display: grid;
        grid-template-columns: repeat(3, 1fr);
        img{
           width: 24px;
           height: 24px; 
        }
        
    }
}
  
.button_add_product {
    width: 25%;
    display: flex;
    margin: 5% auto 5% auto;
    border: 0.5px solid $color-1;
    text-transform: uppercase;
    padding: 10px 20px 10px 20px;
    justify-content: center;
    font-family: $font;
    color: $color-4;
    background-color: $color-3;
    cursor: pointer;
    font-size: 18px;
  }
  
  .button_add_product:hover {
    box-shadow: 6px 8px 5px 1px rgba(0, 0, 0, 0.28);
    transition: box-shadow 0.2s ease;
  }


  .recherche_admin{
    display: flex;
    margin: 5% auto 0 auto;
    padding: 15px 40px 15px 20px;
    width: 50%;
    text-transform: uppercase;
    font-size: 12px;
    font-weight: 100;
    letter-spacing: 1px;
    border: 0.5px solid $color-2;
    border-top: none;
    background-color: $color-3;
    /* transition: left 0.4s ease-in-out; */
    outline: none;
    flex-grow: 0;
    flex-shrink: 0;
    flex-basis: 60%;
  }


  .addproduct_container {
    margin: 5%;
    background: #fff9e6;
    border: 1px solid #6b562d;
    box-sizing: border-box;
    border-radius: 20px;
    padding: 5%;
    margin-bottom: 15%;
  
    .esp_information {
      margin-top: 5%;
    }
    input {
      text-align: center;
      padding: 15px 40px 15px 20px;
      margin-left: 5%;
      border-bottom: 0.5px solid $navbar-background;
      width: 60%;
      margin-top: 1em;
      border-radius: 4px;
      border-top: none;
      border-left: none;
      border-right: none;
      background-color: $base-background;
      color: $color-4;
      font-size: 16px;
      letter-spacing: 0.1em;
      text-transform: none;
      margin-bottom: 2%;
    }
  select{
    text-align: center;
    padding: 15px 40px 15px 20px;
    margin-left: 5%;
    border-bottom: 0.5px solid $navbar-background;
    width: 60%;
    margin-top: 1em;
    border-radius: 4px;
    border-top: none;
    border-left: none;
    border-right: none;
    background-color: $base-background;
    color: $color-4;
    font-size: 16px;
    letter-spacing: 0.1em;
    text-transform: none;
  }
  small{
    color: $color-1;
    display: flex;
    width: 100%;
    margin-left: 50%;
    margin-right: 50%;
  }
  img{
    width: 300px;
    height: 300px;
  }
  textarea{
    padding: 15px 40px 15px 20px;
    margin-left: 5%;
    border-bottom: 0.5px solid $navbar-background;
    width: 60%;
    margin-top: 1em;
    border-radius: 4px;
    border-top: none;
    border-left: none;
    border-right: none;
    background-color: $base-background;
    color: $color-4;
    font-size: 16px;
    letter-spacing: 0.1em;
    text-transform: none;
  }
    label {
      font-family: "Caudex";
      font-weight: bold;
      line-height: 45px;
      letter-spacing: 0.1em;
      color: $color-4;
      display: inline-block;
      width: 20%;
      margin-left: 1%;
    }
    input[type="checkbox"] {
      display: none;
    }
    .invi_inf {
      height: 0;
      width: 0;
    }
    .see_inf {
      opacity: 0.7;
      height: 50px;
      width: 30px;
      align-items: center;
      justify-content: center;
      cursor: pointer;
    }
    .button_add_product {
      background-color: $color-5;
    }
  }
  .esp_ad{
    display: flex;
    margin-left: auto;
    margin-right: auto;
  }